View Javadoc

    1   //========================================================================
    2   //$Id: HttpOnlyCookie.java,v 1.1 2005/10/05 14:09:21 janb Exp $
    3   //Copyright 2004-2005 Mort Bay Consulting Pty. Ltd.
    4   //------------------------------------------------------------------------
    5   //Licensed under the Apache License, Version 2.0 (the "License");
    6   //you may not use this file except in compliance with the License.
    7   //You may obtain a copy of the License at
    8   //http://www.apache.org/licenses/LICENSE-2.0
    9   //Unless required by applicable law or agreed to in writing, software
    10  //distributed under the License is distributed on an "AS IS" BASIS,
    11  //WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    12  //See the License for the specific language governing permissions and
    13  //limitations under the License.
    14  //========================================================================
    15
    16  package org.mortbay.jetty;
    17
    18  import javax.servlet.http.Cookie;
    19
    20  /* ------------------------------------------------------------ */
    21  /** HttpOnlyCookie.
    22   *
    23   * <p>
    24   * Implements  {@link javax.servlet.Cookie} from the {@link javax.servlet} package.
    25   * </p>
    26   * This derivation of javax.servlet.http.Cookie can be used to indicate
    27   * that the microsoft httponly extension should be used.
    28   * The addSetCookie method on HttpFields checks for this type.
    29   * @author gregw
    30   *
    31   */
    32  public class HttpOnlyCookie extends Cookie
    33  {
    34
    35      /* ------------------------------------------------------------ */
    36      /**
    37       * @param name
    38       * @param value
    39       */
    40      public HttpOnlyCookie(String name, String value)
    41      {
    42          super(name, value);
    43      }
    44
    45  }